﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.GridView;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace TreeGridHybrid
{
	public partial class Page : UserControl
	{
		public Page()
		{
			InitializeComponent();
			this.RadGridView1.ItemsSource = GetSampleObservableCollectionOfPersons();
		}

		private ObservableCollection<Person> GetSampleObservableCollectionOfPersons()
		{
			ObservableCollection<Person> persons = new ObservableCollection<Person>
			                    {
			                        new Person(30, "John", "Smith"),
			                        new Person(29, "Jane", "Doe"),
			                        new Person(30, "Peter", "Pan")
			                    };
			Person child = new Person(15, "Jake", "Smith");
			child.Parent = persons[0];
			persons.Insert(1, child);
			
			Person grandChild = new Person(4, "Lili", "Smith");
			grandChild.Parent = child;
			persons.Insert(2, grandChild);

			return persons;
		}
	}
}
