﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace TreeGridHybrid
{
	public class Person : INotifyPropertyChanged
	{
		public event PropertyChangedEventHandler PropertyChanged;

		public Person(int age, string firstName, string lastName)
		{
			this.Age = age;
			this.FirstName = firstName;
			this.LastName = lastName;
			this.IsExpanded = true;
		}

		public Person Parent
		{
			get;
			set;
		}

		public bool IsExpanded
		{
			get;
			set;
		}

		public int Age
		{
			get;
			set;
		}

		public string FirstName
		{
			get;
			set;
		}

		public string LastName
		{
			get;
			set;
		}
	}
}
